> ## Documentation Index
> Fetch the complete documentation index at: https://levers9.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Workers



## OpenAPI

````yaml /api-reference/openapi/controlplane.openapi.json get /workers
openapi: 3.0.0
info:
  title: levers9 controlplane API
  version: 1.0.0
  description: >-
    REST view of the levers9 controlplane gRPC service, served by the
    controlplane on port 1994. Authenticate with `Authorization: Bearer
    <token>`.
servers:
  - url: https://levers9.uselevers.com
    description: local controlplane
  - url: https://api.uselevers.com
    description: hosted
security:
  - bearer: []
tags:
  - name: ControlPlaneService
paths:
  /workers:
    get:
      tags:
        - ControlPlaneService
      summary: Workers
      operationId: ControlPlaneService_ListWorkers
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/controlplaneListWorkersResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    controlplaneListWorkersResponse:
      type: object
      properties:
        ok:
          type: boolean
        errMsg:
          type: string
        workers:
          type: array
          items:
            $ref: '#/components/schemas/typesWorker'
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    typesWorker:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
        totalCpu:
          type: string
          format: int64
        totalMemory:
          type: string
          format: int64
        totalGpuCount:
          type: integer
          format: int64
        freeCpu:
          type: string
          format: int64
        freeMemory:
          type: string
          format: int64
        freeGpuCount:
          type: integer
          format: int64
        gpu:
          type: string
        poolName:
          type: string
        machineId:
          type: string
        resourceVersion:
          type: string
          format: int64
        requiresPoolSelector:
          type: boolean
        priority:
          type: integer
          format: int32
        preemptable:
          type: boolean
        buildVersion:
          type: string
        activeContainers:
          type: array
          items:
            $ref: '#/components/schemas/typesContainer'
        runtime:
          type: string
        poolSelector:
          type: string
        cordonRequested:
          type: boolean
        rolloutGeneration:
          type: string
        rolloutBuildVersion:
          type: string
        workerImageOverride:
          type: string
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
    typesContainer:
      type: object
      properties:
        containerId:
          type: string
        stubId:
          type: string
        status:
          type: string
        scheduledAt:
          type: string
          format: date-time
        startedAt:
          type: string
          format: date-time
        workspaceId:
          type: string
        workerId:
          type: string
        machineId:
          type: string
        deploymentId:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.